ru.bitel.bgbilling.modules.tv.api.common.bean

## Class TvChannelSpec

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.bgbilling.modules.tv.api.common.bean.TvChannelSpec

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, Node<TvChannelSpec>, TreeNode<TvChannelSpec>

      public class TvChannelSpec
      extends Entity
      implements Node<TvChannelSpec>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvChannelSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TvChannelSpec>` | `getChildren()`
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.lang.String` | `getIdentifier()`
    `int` | `getParentId()`
    `int` | `getServiceSpecId()`
    `void` | `setChildren(java.util.List<TvChannelSpec> children)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setParentId(int parentId)`
    `void` | `setServiceSpecId(int serviceSpecId)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### TvChannelSpec

          public TvChannelSpec()

  - ### Method Detail

    - #### getParentId

          public int getParentId()

      Specified by:
        `getParentId` in interface `Node<TvChannelSpec>`

    - #### setParentId

          public void setParentId(int parentId)

    - #### getChildren

          public java.util.List<TvChannelSpec> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<TvChannelSpec>`

    - #### setChildren

          public void setChildren(java.util.List<TvChannelSpec> children)

      Specified by:
        `setChildren` in interface `Node<TvChannelSpec>`

    - #### getServiceSpecId

          public int getServiceSpecId()

    - #### setServiceSpecId

          public void setServiceSpecId(int serviceSpecId)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)